##############################################################################
# CHANGELOG for Site@School: 
# Website Content Management System for Primary Schools
#############################################################################

Changelist for 2.4.10:
- When a pupil/teacher/project is deleted also his personal directory and files 
	are deleted from server.
- After 10 invalid logons a user is revoked and has to request a new password.
- newsletter module : message when newsletter is in use by other user.
- pagemanager : message when page is in use by other user.
- Forms module removed send copy to submitter (security issue) .
- Forum module : a welcome text on the Forum homepage can be placed
- Message module : messages can be put on protected area and a welcome text for this area can be placed
- filemanager: extra link for checking suspicious files in starnet/media and
	starnet/studentpages
	filesize is shown for all files
- fixes and improvements for filemanager FCK editor, 
	this filemanger works correctly with PHP 5.x!
- message module : messages can be put on protected area only.
- changed icons of links to documentation on start screen.
- several changes to improve security.


Changelist for 2.4:
- New editor implemented: FCK editor V2.2.
- pupil editor is opening in a seperate window.
- New links module: manage html links on your site.
- New message module: add messages to your site (configurable period ) 
- managing and creating project pages is highly improved.
- project / pupilpages have an invisible flag now.
- password encryption can be activated (seperated install), default on new install!
- pupil can be a member of any project
- teacher can have more than one class and/or project
- Direct link from pupil/project (classpages module) into edit the pupil/project.
- login errors are shown via small popup windows. 
- tv module : restyled and highly improved.
- download module: download counter for every file.
                   seperate welcome text for protected area.
				   Last download date added to admin.
  all files are stored on server as MD5sum (124c185bc5397be3c38b8e1db9d62834) 
- allbum module : when adding pictures the sorting order will be on picture name automatically
- newsletter module: filter option to be able to see only subscribers for a specific newsletter 
- newsletter module: template code can be added per newsletter which is copied into the
  newsletter when a new issue is created.
- import function (janitor) to be able to import pupils into S@S.
- template editor: import and export of template configuration.
- install : separate languages files
- install: tables are checked if they exist after creation 
- S@S has been changed to work with PHP5 
- changes to language files are no longer lost after S@S upgrade they are 
  saved in seperate user (XX_user.php) languages files.
- Numerous small improvements.
- Bug fixes, see http://siteatschool.sourceforge.net/index.php?section=5&category=&page=88

Changelist for 2.3:
- guestbook module: number of items per page can be configured now.
- template editor included in this release (is installed automatically)
- calender module: you can give a period : 25-31_Kids Vacation
- news module uses HTMLarea editor for content
- news module: news item can be set for public or protected area
- newsletter module : can set a newsletter for protected area only (search module)
- allbum module: can set an allbum for protected area only (search module)
- allbum module: can change the main allbum welcome text.
- allbum module: more file types are recognized (PDF, MOV, MID...)
- allbum module: slideshow script added.
- email module: visitor can choose addressee from a dropdownlist  
- email module: after sending the email content is shown on the page.
- email module: icon can be given in the configuration.
- search module can now be used on protected site.
- download module, files for protected area are in a blob field in a table
- PHP sessions are now in a table.
- replace tool will replace in protected area, news and newsletter too.
- teachers can have their own pages.
- users can be restricted in editing for certain sections
- new module : chat module
- print button, see standard template for example.
- pupils can cooperate in projectpages (special pupilpages)
- pupils can also be listed in alphabetical order (easier to find pupil) 
- sitemap: has a configurable welcome text.
- forms module can have a selection dropdown.
- Bulgarian language added thanks to (Stefan Stefanov)
- All emails send via the system now use the PHP mailer class.
- general email addrsss for the site in configuration.
- EXperimental stuff added (TV module, RSS feeds)
- Guidelines for writing manuals added
- Guidelines for code writers added
- Developers manual added, see http://siteatschool.sourceforge.net/index.php?section=13&page=60
- Numerous small improvements.
- Bug fixes, see http://siteatschool.sourceforge.net/index.php?section=5&category=&page=38



Changelist for 2.2:
- pupilpages can also be viewed per class.
- pupilpages have links at the bottom to the other pages of the same pupil.
- only pupil pages with content are showed on the site.
- created a single logon page for pupils and teachers.
- plain HTML editor added (No WYSISWYG).
- Guestbook: when wrong input field is given it looses already given input: fixed.
- ads module : adding a new ad is in 1 script.
- email module checks input fields, same for guestbook module.
- new module : newsletter module.
- improved statistics: reduced table size, extra column: last changed date
- forms module: if you give a length of 0 , just text is shown.
- forms module: if you give a length of 1 , a checkbox with yes/no is shown.
- forms module: you can mark an input field as required
- search module can be configured from S@S and cleaned up code.
- search module can search in other modules.
- search module can now search on more than one argument.
- forum: when logged in(as teacher or pupil) you don't have to login again.
- created an array which holds all configuration items, reduces queries on configuration table.
- improved album module: 
- an album can be viewed per page.
- when an album has been changed it sents an alert.
- agenda module has now a week view which can be printed.
- agenda module : an agenda can be coupled to a user and when this user logs in it will open
  with that agenda automatically.
- String replacement tool: replace something on the whole site.
- news module will send alert and change the lastupdate date.
- download module will update the last changed date.
- Improved Admin layout, all new icons (thanks to Barry Faas).
- all installation/migration files are now in starnet/install directory.
- French installation: install_fr.php INSTALL_FR.txt install_fr.htm (Alain Riffert)
- Danish translation and Installation install_da.php INSTALL_DA.htm (thanks to Ole Bang Ottosen )
- Italian translation (thanks to Massimo Pipolo)

Changelist for 2.1.1:
This release is mainly a bug fix release and small improvements.

- install has been improved with extra error checking.
- new directory was not saved in filemamager: fixed.
- login security has been improved.
- inserting a S@S internal link gave error when a quote was in the pagename: fixed.
- when wrong webserverlocation was in config, no way to fix it via S@S admin: fixed
- guestbook rejected some valid email addresses when entering a new guestbook entry: fixed.
- section number was not saved on a page with a module: fixed.
- upload didn't save category name: fixed.
- via teacher login, couldn't approve pupil pages: fixed.
- when a page is deleted, the stats of that page weren't deleted: fixed

Changelist for 2.1:
- news module has been enhanced to make it possible to have seperate news on
  protected area
- Guestbook module will check userinput (not possible to enter blank fields)
- Guestbook will show email addresses in form of "name (at) yourdomain (dot) com"
- All users (teacher / pupils / normal users) are in one table now, now you
  can have a single logon for a teacher/pupil which have access to S@S management 
- Teachers and pupils can get access to S@S management (single user logon)
- When teacher is logged in via the site, he can switch to S@S management (single logon)
- The maximum number of pupil pages a pupil can have, can be customized 
- protected area has its own access right
- In pagemanager the sort numbers are shown in front of the pagenames.
- Teacher can manage also other classes than his own.
- page can be moved to other section via the HTMLArea editor.
- New module : forms builder module, for creating forms dynamically.
- New module : a calendar module to show events on a monthly basis on your site
- New module : agenda module for keeping the school agenda , multiple agenda's possible
- Finish language added thanks to Timo Tervo (timo.tervo@edu.vantaa.fi)
- Bugs fixed, small improvements.

Changelist for 2.0:
- Pupils can have up to 3 pages now.
- When pupils change there page , an email can be sent as confirmation to teacher
  no approval needed in this case (configurable).
- Pupil pages (filemanager) are grouped by classes instead of a long list.  
- Implemented an alert function when pages change -> an alert is send via email
- Statistics has been improved , possible to filter out local ip adresses
- Created a protected area where teachers/schoolmembers can store info 
  behind a secured area. 
- Protected area can have it's own template.
- All modules have seperate language files for better overview when translating
- Polish language included , thanks to Chris, Net-Team.Net (e-mail: admin@net-team.net)
- Turkish language included. thanks to Ylker Turen (email: ilkerturen@hotmail.com)
- Htmlarea editor has table operation buttons to make changes to tables.
- Access rights have been modified : protection of each modules and all other 
  functions of S@S
- Guestbook an Ads module can send email alert when someone posts an entry
- Guestbook has a configurable welcome text. 
- Up/download module added. Configurable for use on public and intranet.
- sitemap module added, will display all sections with all pages (except invisible ones).
- Move complete class of pupils to an other class.
- Bugs fixed, small improvements.
- Security fixes
- improved install script: demo data can be loaded on site (optional)


Changelist for 1.2.1:
- HTMLAREA editor has been improved: S@S internal link is now working
  Insert Image window is improved.
  added a popup window to insert a rule with parameters
  added special character button 
  number of rows can be defined by user, see configuration.
  added table properties plugin .
- Studenteditor has been replaced by the HTMLAREA editor.
- Studentpages , Students are now listed per class instead of a long list
  layout of the student list has been improved  
- Some icons have been replace by nicer ones.
- Not possible anymore to enter a user or teacher with the same username
- Checking is done on required input fields so that they are not empty
- added classname behind teachers list.
- German translation (language DE) thanks to Yasmine.
- Swedish translation (language SE) thanks to Daniel Dalethsson.
- Chinese translation (language GB) thanks to Pei Jinhe
- PHP installations with REGISTER_GLOBALS = off should work now.
- Added a category field to the pages table to make it possible for sections
  with a lot of pages to create a better view in the pagemanager.
- added a last changed date for the page, needs a change in the template. 
  see standard template
- Ads module can send email when a new ad is entered.
- Guestbook module can send email when a new guestbook entry is entered.
- created standard template (was starnet) to serve as a better example.
- created a category template, which makes use of the new category field.
- Translation tool can now translate the language files of modules.


Changelist for 1.2:

- Spanish translation included (language ES) thanks Stephen James 
- Norwegian translation included (language NO) thanks Henry Jovik
- Brasilian translation included (language BR) thanks Dener Brito
- Students can upload only GIF's and JPG's
- When the students changes his page and there is no teacher email adres , mysql error -> fixed.
- When a teacher approves a studentpage in S@S management, and refresh is pressed the studentpage is empty -> fixed
- Studenttips modified
- added the possibility to delete a class (should be empty)
- inputform for teacher , changed order of fields conform the student input form
- added checks for wrong email and check if email is send on the sendpw.php script
- fieldname "check" for table studentpages is a reserved word in new mysql rel., changed it to pcheck
- Ads module doesn't show date in the format specified in the S@S management -> fixed
- In filemanagement : added directory name behind the studentpages directories.
- News module, completed the archive function
- Modulemanagement: added the possibility to change the module name and program names.
- module browser window , added some titles.
- search module , moved the language statements to the general language files. 
- changed guestbook and ads modules to get there table names from the sn_modules table.
- changed the layout of the configuration table to be able to store more info .
- added a backup script for database backup
- added a translation tool to be able to make your own changes to the language files.
- created documentation in HTML format.
- documentation is directly reacheble from S@S management
- added the last update date.
- added an editor (htmlarea 3.0) which also works under Mozilla 1.3 browser (both linux and windows)



Changelist for 1.1:

- gbook.php :  minor changes in outward appearances. Is now multilingual.
- starnet.php out of gbook directory:  copyright header, now multilingual.

- NL.php   : minor modifications, added editor, guestbook.
- EN.php   : removed dutch terms, added editor, guestbook.

- menubar.inc.php : logout via NL.php and EN.php, removed layoutmanager, 
  statistics added for high visibility
- startcenter.inc.php: welcome text via nl.php and en.php
- con_teachers.inc.php: changed tips for the class help. 
- con_environment.inc.php: adapted date format text.

- student.php: table sn_studentpages replaced by $table_studentpages, 
  everything now multilanguage.
- studenteditor.php: changed "$cmsdir" in "starnet", otherwise no pictures
  in the editor, everything now multilanguage.
- studentimages.php: added header, everything now multilanguage.

- index.php: in root, includes language file.
- install.php: studentid instead of id at studentpages table.
- studentpages: starnet.php now in english/dutch.

- mailpage : starnet english/dutch
- guestbook: starnet.php english/dutch

- viewpage.php and starnet.php from pupil's pages adapted. When a pupil's 
  page is created, it must first pass teacher's approval. It was already there, 
  partly.

- New: install_en.php

- Merged nl.php from news module with the site's NL.php, the same goes for
  english starnet.php modified from news.

mail module: 
- moved everything to one script (mailpage.php)
- everything multilangual now.
- email address can be filled in via startcenter.
- templates directory can be removed!

images.php from starnet\editors\sn_wysiwyg :
- problems with uploading of files via the editor: solved. 
 
Making pupil's pages:

- a pupil can make a page which must be checked and approved by the teacher. 
- At the pupil's data in the startcenter this can be en/disabled on an 
  individual basis.
- When the teacher has given an email address to a pupil, the teacher 
  receives an email when a pupil's page is ready for approval.
- "This is the page of:" added to the pupil's page.

Filemanager:
- Changed filemanger.inc.php to be able to manage student directories as well.
  
- Made README_en.txt and README_nl.txt with installation instructions 

- Password can be sent via email when it is forgotten (new script sendpw.php).
